#----------------------------------------------------------------------------
# Name: 		setup
# Author:		BATS
# Created:		10/17/02
# Copyright (c) 2002 BATS, University of North Carolina-Chapel Hill
# Licensed under the Academic Free License version 1.1.
#----------------------------------------------------------------------------
from distutils.core import setup
import py2exe
import os

data = []
sounds = []
path = os.getcwd()
dpath = path + '\\Data'
spath = path + '\\Sound'
dfiles = os.listdir(dpath)
sfiles = os.listdir(spath)

for f in dfiles:
	if not os.path.isdir(dpath+'\\'+f):
		data.append('Data\\' + f)

for f in sfiles:
	if not os.path.isdir(spath+'\\'+f):
		sounds.append('Sound\\' + f)
		
setup(
	name='NCDemo',
	scripts=['NCDemo.py'],
	data_files=[('.', ['LICENSE.txt', 'README.txt', 'MSVCRTD.DLL']), ('Data', data), ('Sound', sounds)]
)